<?php

declare(strict_types=1);

namespace apexl\Io\modules\component\Factories;

use apexl\Io\modules\component\services\PropertyBucket;
use DI\Container;

final readonly class PropertyBucketFactory
{
    public function __construct(private Container $container) {}

    public function make(): PropertyBucket
    {
        return $this->container->make(PropertyBucket::class);
    }
}
